*{
    /*bloco de reset*/
    box-sizing: border-box;
}
body{
    margin: 0;
    background-color: black; /*cor em hexadecimal*/
    padding: 20px;/*alterei o padding 16/04*/
    font-family: 'sans-serif';
}
header{
    background-color: orange;/*cinza cocô kkk*/
    color: black; /*branco em hexadecimal*/
    text-align: center; /*centraliza o texto*/
    font-family: 'sans-serif';
}
nav a{ /*nav navigation a a, de link, vou trabalhar só no link*/
    color: black;
    text-decoration: none; /*tirei toda a decoração dop texto*/
    padding: 4px;
    border-top-left-radius: 10px;
    border-bottom-right-radius: 10px; /*radius é a borda arredondada*/
    background-color: orange;
    border-bottom: black;
    font
}
nav a:hover{color: orangered;}
.bloco{ /*declaração de class, a class procede de "."*/
    background-color: orange;
    color: black;
    border: 1px dotted orangered; /*borda geral tracejada*/
    border-radius: 6px;
    padding: 16px;
    margin-bottom: 16px;
    border-top: 2px solid orangered; /*borda superior solida*/
    border-bottom:2px solid orangered; /*birda inferior*/
    border-left: 2px solid orangered; /*borda esquerda*/
    border-right: 2px solid orangered; /*borda direita*/
}
#galeria{ /* # significa id, onde coloca-se por ex.: id="galeria" só pode ter 1 com o mesmo nome por pagina*/
    display: flex;
    flex-wrap: wrap; /*Não vai deixar estourar os limites do site*/
    gap: 24px; /*espaço entre elementos dentro do id*/
    justify-content: center; /* centraliza horizontal*//*reforçando que ele vai estar flexivel*/
    padding: 20px;
}
.foto{
    background: #ffffff;
    padding: 12px 12px 20px 12px; /*lad dir, esq, baixo e cima*/
    border: 1px solid orangered;
    box-shadow: 0 4px 10px #000000;
    width: 220px; /*largura*/
    text-align: center;/*alinhamento ao centro*/
    border-radius: 4px;
}
.foto img{
    width: 100%;
    height: 230px;
    object-fit: cover; /*efeito de sobrepor*/
    display: block;
}
.foto:hover{
    transform: scale(1.50) rotate(0deg); /*dois degrais*/
}
.legenda{
    margin-top: 10px;
    font-family: 'Courier New', Courier, monospace; 
    font-size: 18px;
    font-style: italic;
}
footer{
    background-color: black;
    color: orangered;
    text-align: center;
    padding: 20px;
    position: fixed;
}